Subject: bug#21438: 25.0.50; GUD locals frame/window doesn't shows struct values as nil

From: Tassilo Horn <[email-masked]>
Date: Wed, 09 Sep 2015 17:10:10 +0200

Eli Zaretskii <[email-masked]> writes:

>> I guess the usage of --simple-values is intentional, and in fact, when
>> trying to use "--all-values" instead I get a
>> 
>>   error in process filter: gdb-jsonify-buffer: Stack overflow in regexp matcher
>
> Yes, the use of --simple-values is intentional.  If you want to see
> the values of the fields, you need to click mouse-2 on the variable
> name, and then Emacs will pop up a frame with the fields.

Yes, or I can watch the variable and get a nice speedbar tree view which
I can expand recursively.  Really nice!

>> I'm not actually sure if it would be benefitical to use --all-values
>> even if that regexp matching error was fixed because the structs can be
>> really large.  But at least the value should not be shown as "nil" but
>> as "<non-simple value>" or something else which makes it obvious that
>> the displayed value is not the real value.
>
> Like the patch below?  If you think it's OK, I will push it.

Yes, that's exactly what I had in mind.

Bye,
Tassilo